Skip to content

Invite friend by email

POST
/api/v2.0/stores/{storeId}/members/{memberId}/invite-friend
curl --request POST \
--url https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/invite-friend \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "first_name": "example", "last_name": "example", "email": "example" }'
storeId
required
string

The store Id

Example
your-store-id
memberId
required
string

The member Id

Example
m_nsr714RRBEHX

The invited personal data such as name and email

object
first_name
string
nullable
last_name
string
nullable
email
string
nullable
Examplegenerated
{
"first_name": "example",
"last_name": "example",
"email": "example"
}

No Content

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}